local holograms = {
    [1] = {
        pos = vector3(-532.68463134766,-210.9342956543,37.649673461914);
        texts = {"~w~De aici iti poti creea o identitate!", "Apasa [~b~E~w~]~s~ pentru a incepe!"};
        z = {-2.730, -1.500, -2};
        dist = 15.0;
    };
    [2] = {
        pos = vector3(-533.94445800781,-223.36016845703,37.649753570557),
        texts = {"~w~Bine ai venit pe Global~b~Force~w~ Rom~b~ania~w~"};
        z = {-1.5},
        dist = 15.0;
    };
    [3] = {
        pos = vector3(-514.29809570312,-255.42770385742,35.610301971436),
        texts = {"[~y~PED~w~] - RentCar FAGGIO"},
        z = {-1.0},
        dist = 15.0;
    };
    [4] = {
        pos = vector3(-545.70831298828,-218.50245666504,37.649322509766),
        texts = {"Aici iti poti creea propia infatisare!", "~b~GLF~w~:RO Clothing"},
        z = {-2.730, -1.200},
        dist = 15.00,
    };
}

CreateThread(function()
    local ticks = 2000
    while true do
        for k,v in pairs(holograms) do
            if #(GetEntityCoords(PlayerPedId()) - v.pos) <= v.dist then
                ticks = 1
                for i = 1, #v.texts do
                    _3DHologram(v.pos[1], v.pos[2], v.pos[3] + v.z[i], v.texts[i], 0.1, 0.1)
                end
            end
        end
        Wait(ticks)
        ticks = 2000
    end
end)

function _3DHologram(x,y,z,textInput,scaleX,scaleY)
    local px,py,pz=table.unpack(GetGameplayCamCoords())
    local dist = GetDistanceBetweenCoords(px,py,pz, x,y,z, 1)    
    local scale = (1/dist)*20
    local fov = (1/GetGameplayCamFov())*100
    local scale = scale*fov   
    SetTextScale(scaleX*scale, scaleY*scale)
    SetTextFont(4)
    SetTextProportional(1)
    SetTextColour(250, 250, 250, 255)
    SetTextDropshadow(1, 1, 1, 1, 255)
    SetTextEdge(2, 0, 0, 0, 150)
    SetTextDropShadow()
    SetTextOutline()
    SetTextEntry("STRING")
    SetTextCentre(1)
    AddTextComponentString(textInput)
    SetDrawOrigin(x,y,z+2, 0)
    DrawText(0.0, 0.0)
    ClearDrawOrigin()
end